# Uses of Class
org.globus.gsi.GlobusCredential

Packages that use GlobusCredential
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.bc
org.globus.tools
Contains higher-level components which utilize the jGlobus library.

## Uses of GlobusCredential in org.globus.gsi

Methods in org.globus.gsi that return GlobusCredential
Modifier and Type
Method
Description
`static GlobusCredential`
GlobusCredential.`getDefaultCredential()`
Deprecated.
Returns the default credential.
Methods in org.globus.gsi with parameters of type GlobusCredential
Modifier and Type
Method
Description
`static void`
GlobusCredential.`setDefaultCredential(GlobusCredential cred)`
Deprecated.
Sets default credential.

## Uses of GlobusCredential in org.globus.gsi.bc

Methods in org.globus.gsi.bc that return GlobusCredential
Modifier and Type
Method
Description
`GlobusCredential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, int delegationMode)`
Deprecated.
`GlobusCredential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, int delegationMode, X509ExtensionSet extSet)`
Deprecated.
`GlobusCredential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, int delegationMode, X509ExtensionSet extSet, String cnValue)`
Deprecated.

## Uses of GlobusCredential in org.globus.tools

Fields in org.globus.tools declared as GlobusCredential
Modifier and Type
Field
Description
`protected GlobusCredential`
ProxyInit.`proxy`